【go】Ubuntu系统中安装了多个Go SDK,怎么设置当前使用指定的Go SDK?

之前使用Go官网提供的安装包,安装了Go SDK 1.13.3,并配置了GO环境变量。
后来又使用 sudo apt install 命令安装了Go SDK 1.12.10 。执行 go version 命令输出的是 1.12.10 版本号。

能不能设置当前使用 1.13.3 版本的 Go SDK?

首先把apt安装的go删除干净,使用二进制安装。

wget下载二进制包,然后解压扔到/usr/local/go1.12,同样下载1.13,通过设置GOROOT环境遍历来选择多个版本的go,我系统里面安装的多版本的go,目前设置的1.10。

【go】Ubuntu系统中安装了多个Go SDK,怎么设置当前使用指定的Go SDK?

GOPATH也可以根据需要设置不同的路径,另外go好像有个gvm(golang version manage),应该是完成多版本切换,我没用过具体不清楚。

回答

以上是 【go】Ubuntu系统中安装了多个Go SDK,怎么设置当前使用指定的Go SDK? 的全部内容, 来源链接: www.h5w3.com/113167.html

回到顶部